EntityUniqueKey (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class EntityUniqueKey

    java.lang.Object
      org.hibernate.engine.spi.EntityUniqueKey

All Implemented Interfaces:
  Serializable

    public class EntityUniqueKey

extends Object
implements Serializable

Used to uniquely key an entity instance in relation to a particular session by some unique property reference, as opposed to identifier.

Uniqueing information consists of the entity-name, the referenced property name, and the referenced property value.

See Also:
  `EntityKey`, Serialized Form

Constructor Summary
`EntityUniqueKey(String entityName, String uniqueKeyName, Object semiResolvedKey, Type keyType, EntityMode entityMode, SessionFactoryImplementor factory)`

Method Summary
`static EntityUniqueKey` | `deserialize(ObjectInputStream ois, SessionImplementor session)` Custom deserialization routine used during deserialization of a Session/PersistenceContext for increased performance.
`boolean` | `equals(Object other)`
`int` | `generateHashCode(SessionFactoryImplementor factory)`
`String` | `getEntityName()`
`Object` | `getKey()`
`String` | `getUniqueKeyName()`
`int` | `hashCode()`
`void` | `serialize(ObjectOutputStream oos)` Custom serialization routine used during serialization of a Session/PersistenceContext for increased performance.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityUniqueKey

    public EntityUniqueKey(String entityName,
                           String uniqueKeyName,
                           Object semiResolvedKey,
                           Type keyType,
                           EntityMode entityMode,
                           SessionFactoryImplementor factory)

Method Detail

### getEntityName

    public String getEntityName()

### getKey

    public Object getKey()

### getUniqueKeyName

    public String getUniqueKeyName()

### generateHashCode

    public int generateHashCode(SessionFactoryImplementor factory)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### serialize

    public void serialize(ObjectOutputStream oos)
                   throws IOException

  Custom serialization routine used during serialization of a Session/PersistenceContext for increased performance.

  Parameters:
    `oos` - The stream to which we should write the serial data.
  Throws:
    `IOException`

### deserialize

    public static EntityUniqueKey deserialize(ObjectInputStream ois,
                                              SessionImplementor session)
                                       throws IOException,
                                              ClassNotFoundException

  Custom deserialization routine used during deserialization of a Session/PersistenceContext for increased performance.

  Parameters:
    `ois` - The stream from which to read the entry.
    `session` - The session being deserialized.
  Returns:
    The deserialized EntityEntry
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.